Get warnings for a external batch
Returns the current analysis status for a submitted payment batch, along with any warnings (e.g. sanctions or fraud indications) raised for its transactions so far.
curl --request GET \
--url https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"analyzeStatus": "Done",
"batchUrl": "https://example.com",
"warnings": [
{
"id": 12345,
"transactionExternalId": "123456",
"type": {
"type": "FooBar",
"category": "Transaction"
},
"name": "Foo",
"description": "Lorem ipsum dolor sit amet",
"warningUrl": "https://example.com",
"status": "CompletedWithAction"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Api key needed to access the endpoints. X-Api-Key: My api key
Headers
App id
Path Parameters
The country whose scope/entitlement profile (SE or NO) is used to authorize the request. Determines which market-specific rules apply, independent of the country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
SE, NO The caller-supplied identifier for the payment batch, used to correlate it with earlier submissions and results.
Query Parameters
Language used for human-readable text in the response (e.g. check descriptions). Language used for human-readable text in a response: SV (Swedish), NO (Norwegian) or EN (English).
SV, NO, EN Was this page helpful?
curl --request GET \
--url https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/3/{profileCountry}/payment-control/batches/{externalBatchId}/warnings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"analyzeStatus": "Done",
"batchUrl": "https://example.com",
"warnings": [
{
"id": 12345,
"transactionExternalId": "123456",
"type": {
"type": "FooBar",
"category": "Transaction"
},
"name": "Foo",
"description": "Lorem ipsum dolor sit amet",
"warningUrl": "https://example.com",
"status": "CompletedWithAction"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}